redis-backup
============

Set of tools to backup and restore Redis server data.

Requirements
------------

- python
- python-redis

Usage
-----

**Dump data using redis-dump :**

```
Usage: check_zabbix [options]

Options:
  -h, --help            show this help message and exit
  -v, --verbose         
  -d, --debug           
  -c CONFIG             Load parameters from configuration file
  -U ZABBIX_URL, --zabbix-url=ZABBIX_URL
                        Zabbix server URL (Default : http://localhost)
  -u ZABBIX_USER, --user=ZABBIX_USER
                        Zabbix user (Default : admin)
  -p ZABBIX_PASSWORD, --password=ZABBIX_PASSWORD
                        Zabbix password
  -H ZABBIX_HOST, --host=ZABBIX_HOST
                        Zabbix host to check
  --allow-no-trigger-host
                        Zabbix host to check
  --check-triggers-related-items-state
                        Check triggers's related enabled items state is
                        correct
```

**Restore data using redis-restore :**

```
Usage: redis-restore [options]

Options:
  -h, --help            show this help message and exit
  -v, --verbose         
  -d, --debug           
  -H HOST, --host=HOST  Redis host
  -p PORT, --port=PORT  Redis port
  -D DBS, --db=DBS      Redis Database index(es). In One dump type mode :
                        Specify on wich database to restore data. The default
                        one is source database specify on dump. In All type
                        mode : Specify wich database(s) to restore (could
                        specify multiple). By default, all databases from the
                        input file is restored.
  -i INPUT, --input=INPUT
                        Input file
  --info                Info mode : just print informations from dump file
  -P, --preserve        Preserve keys present in database if is not in input
                        file
```

Copyright
---------

Copyright (c) 2017 Easter-eggs

Author
------

Benjamin Renard <brenard@easter-eggs.com>

License
-------

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3
as published by the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
